Subject: ***SPAM*** 67.404 (5) Get a new huge colossal rod by clicking here.

From: "jaesun ljungblom" <[email-masked]>
Date: Fri, 1 Feb 2008 18:44:58 -0000

Ensure you do not get left out - get your necessary equipment here.